@import url("https://fonts.googleapis.com/css2?family=Raleway:wght@400;700&display=swap");

:root {
  --clr-primary-1: hsl(6, 100%, 80%);
  --clr-primary-2: hsl(335, 100%, 65%);

  --clr-neutral-3: hsl(243, 100%, 93%);
  --clr-neutral-4: hsl(229, 7%, 55%);
  --clr-neutral-5: hsl(228, 56%, 26%);
  --clr-neutral-6: hsl(229, 57%, 11%);

  --ff-primary: "Raleway", sans-serif;
  --spacing: 0.1rem;
  --radius: 0.75rem;
  --transition: all 0.03s linear;
  --line-height: 1.25;
}

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

html {
  font-size: 15px;
}

body {
  font-family: var(--ff-primary);
  font-size: 1rem;
  line-height: var(--line-height);
}

.container {
  max-width: 100vw;
  min-height: 100vh;
  display: flex;
  flex-direction: column;
  align-items: center;
  background: url("/images/bg-mobile.png") center/cover no-repeat;
  justify-content: center;
  gap: 1rem;
}

.icons_container {
  background: var(--clr-neutral-5);
  width: 20rem;
  height: 12rem;
  border-top-right-radius: 5.75rem;
  border-bottom-left-radius: 0.5rem;
  border-bottom-right-radius: 0.5rem;
  border-top-left-radius: 0.5rem;
  padding-left: 2rem;
  display: grid;
}

.logo_fylo {
  display: flex;
  align-items: center;
  /* border: 1px solid white; */
}

.utilities_icon {
  display: flex;
  align-items: flex-start;
  /* border: 1px solid red; */
  gap: 1rem;
}

.utilities_icon > div {
  width: 4rem;
  background: var(--clr-neutral-6);
  border-radius: 0.75rem;
  padding: 0.5rem;
  display: flex;
  align-items: center;
  justify-content: center;
}

.utilities_icon > div img {
  width: 2rem;
  height: 2rem;
  object-fit: contain;
}

.storage {
  width: 20rem;
  padding: 2rem 2rem;
  border-radius: 0.75rem;
  background: var(--clr-neutral-5);
  position: relative;
}

.storage h3 {
  font-size: 0.9rem;
  color: var(--clr-neutral-3);
  font-weight: 300;

  text-align: center;
}

.storage h3 > span {
  color: var(--clr-neutral-3);
  font-weight: 700;
}

.storage_bar {
  width: 100%;
  margin-top: 1rem;
  height: 1.25rem;
  border-radius: 2rem;
  overflow: hidden;
  background: var(--clr-neutral-6);
  padding-top: 0.15rem;
  padding-bottom: 0.15rem;
}

.level_storage {
  background: linear-gradient(
    to right,
    var(--clr-primary-1),
    var(--clr-primary-2)
  );

  border-radius: 2rem;
  height: 100%;
  width: 70%;
  display: flex;
  justify-content: flex-end;
  align-items: center;
  padding-right: 0.1rem;
  padding-bottom: 0.1rem;
  padding-top: 0.1rem;
}

.circle {
  width: 0.85rem;
  height: 0.85rem;
  border-radius: 50%;
  background-color: var(--clr-neutral-3);
}

.storage_num {
  width: 100%;
  /* border: 1px solid red; */
  display: flex;
  margin-top: 0.5rem;
  justify-content: space-between;
  margin-bottom: 2rem;
}

.storage_num > p {
  color: var(--clr-neutral-3);
  text-transform: uppercase;
  font-weight: 700;
  font-size: 0.875rem;
}

.storage_left {
  width: 13rem;
  padding: 1rem 1rem;
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 0.5rem;
  background-color: #fff;
  border-radius: 1rem;
  position: absolute;
  left: 3.5rem;
}

.storage_left h1 {
  font-weight: 700;
  font-size: 2.5rem;
}
.storage_left p {
  font-weight: 700;
  font-size: 1rem;
  color: var(--clr-neutral-4);
  text-transform: uppercase;
}

@media screen and (min-width: 1170px) {
  .container {
    background: url("/images/bg-desktop.png") bottom/contain no-repeat;
    background-color: var(--clr-neutral-6);
    display: grid;
    grid-template-columns: 25rem 40rem;
    gap: 2rem;
    position: relative;
  }

  .icons_container {
    width: 100%;
  }

  .storage {
    width: 100%;
    position: relative;
  }
  .storage h3 {
    text-align: left;
  }

  .storage_left {
    top: -3.75rem;
    left: 25rem;
    padding-bottom: 3rem;
    clip-path: polygon(
      0% 0%,
      100% 0%,
      100% 75%,
      100% 100%,
      91% 75%,
      50% 75%,
      0% 75%
    );
  }

  .icons_container {
    position: relative;
    top: -4rem;
  }

  .storage {
    position: relative;
    top: -2.8rem;
    height: 10rem;
  }
}
